Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/etc/rc.d * add support for `status'
details: https://anonhg.NetBSD.org/src/rev/d0eeb731ad6f
branches: trunk
changeset: 494907:d0eeb731ad6f
user: lukem <lukem%NetBSD.org@localhost>
date: Mon Jul 17 12:58:14 2000 +0000
description:
* add support for `status'
* remove bogus comment about aborting the boot if ipf fails; this hasn't
been supported since the rc.d migration and is too messy to resolve...
diffstat:
etc/rc.d/ipfilter | 34 ++++++++++++++++++++++------------
1 files changed, 22 insertions(+), 12 deletions(-)
diffs (64 lines):
diff -r 3a4186928e25 -r d0eeb731ad6f etc/rc.d/ipfilter
--- a/etc/rc.d/ipfilter Mon Jul 17 12:27:04 2000 +0000
+++ b/etc/rc.d/ipfilter Mon Jul 17 12:58:14 2000 +0000
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $NetBSD: ipfilter,v 1.4 2000/05/13 08:45:07 lukem Exp $
+# $NetBSD: ipfilter,v 1.5 2000/07/17 12:58:14 lukem Exp $
#
# PROVIDE: ipfilter
@@ -9,25 +9,30 @@
. /etc/rc.subr
name="ipfilter"
+start_precmd="ipfilter_prestart"
start_cmd="ipfilter_start"
stop_precmd="checkyesno ipfilter && [ -f /etc/ipf.conf ]"
stop_cmd="ipfilter_stop"
reload_precmd="$stop_precmd"
reload_cmd="ipfilter_reload"
-extra_commands="reload"
+status_precmd="$stop_precmd"
+status_cmd="ipfilter_status"
+extra_commands="reload status"
+
+ipfilter_prestart()
+{
+ if ! checkyesno ipfilter; then
+ return 1
+ fi
+ if [ ! -f /etc/ipf.conf ]; then
+ warn "/etc/ipf.conf not readable; ipfilter start aborted."
+ return 1
+ fi
+ return 0
+}
ipfilter_start()
{
- if ! checkyesno ipfilter; then
- return 0
- fi
-
- # if /etc/ipf.conf isn't readable, abort the boot rather
- # than risk a security problem
- #
- if [ ! -f /etc/ipf.conf ]; then
- err 1 "/etc/ipf.conf not readable; ipfilter start aborted."
- fi
echo "Enabling ipfilter."
/sbin/ipf -E -Fa -f /etc/ipf.conf
}
@@ -49,5 +54,10 @@
fi
}
+ipfilter_status()
+{
+ /sbin/ipf -V
+}
+
load_rc_config $name
run_rc_command "$1"
Home |
Main Index |
Thread Index |
Old Index